package com.perforce.bumble.project;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Properties;

public class ProjectService {

	private Map<String, Project> projects = new HashMap<>();

	public ProjectService() {
		Properties props = new Properties();
		String file = ".projects";

		try {
			FileInputStream in = new FileInputStream(file);
			props.load(in);
			in.close();
			load(props);

		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}

	private void load(Properties props) {
		for (Entry<Object, Object> entry : props.entrySet()) {
			String name = (String) entry.getKey();
			String path = (String) entry.getValue();

			try {
				Project proj = new Project(name, path);
				this.projects.put(name, proj);
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
	}

	public List<Project> list() {
		return new ArrayList<Project>(projects.values());
	}

	public Project get(String name) {
		return projects.get(name);
	}
}
